Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.interchange.metadata
Class Information

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.interchange.metadata.Information

All Implemented Interfaces:
  Cloneable, Map<PdfName,Object>, IPdfObjectWrapper

    @PDF(value=PDF10)
    public final class Information

extends PdfObjectWrapper<PdfDictionary>
implements Map<PdfName,Object>

Document information [PDF:1.6:10.2.1].

Version:
  0.1.2, 12/21/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Constructor Summary
`Information(Document context)`

Method Summary
`void` | `clear()`
`Information` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`boolean` | `containsKey(Object key)`
`boolean` | `containsValue(Object value)`
`Set<Map.Entry<PdfName,Object>>` | `entrySet()`
`Object` | `get(Object key)`
`String` | `getAuthor()`
`Date` | `getCreationDate()`
`String` | `getCreator()`
`String` | `getKeywords()`
`Date` | `getModificationDate()`
`String` | `getProducer()`
`String` | `getSubject()`
`String` | `getTitle()`
`boolean` | `isEmpty()`
`Set<PdfName>` | `keySet()`
`Object` | `put(PdfName key, Object value)`
`void` | `putAll(Map<? extends PdfName,? extends Object> map)`
`Object` | `remove(Object key)`
`void` | `setAuthor(String value)`
`void` | `setCreationDate(Date value)`
`void` | `setCreator(String value)`
`void` | `setKeywords(String value)`
`void` | `setModificationDate(Date value)`
`void` | `setProducer(String value)`
`void` | `setSubject(String value)`
`void` | `setTitle(String value)`
`int` | `size()`
`Collection<Object>` | `values()`
`static Information` | `wrap(PdfDirectObject baseObject)`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### Information

    public Information(Document context)

Method Detail

### wrap

    public static Information wrap(PdfDirectObject baseObject)

### clone

    public Information clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<PdfDictionary>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getAuthor

    public String getAuthor()

### getCreationDate

    public Date getCreationDate()

### getCreator

    public String getCreator()

### getKeywords

    @PDF(value=PDF11)
    public String getKeywords()

### getModificationDate

    @PDF(value=PDF11)
    public Date getModificationDate()

### getProducer

    public String getProducer()

### getSubject

    @PDF(value=PDF11)
    public String getSubject()

### getTitle

    @PDF(value=PDF11)
    public String getTitle()

### setAuthor

    public void setAuthor(String value)

### setCreationDate

    public void setCreationDate(Date value)

### setCreator

    public void setCreator(String value)

### setKeywords

    public void setKeywords(String value)

### setModificationDate

    public void setModificationDate(Date value)

### setProducer

    public void setProducer(String value)

### setSubject

    public void setSubject(String value)

### setTitle

    public void setTitle(String value)

### clear

    public void clear()

  Specified by:
    `clear` in interface `Map<PdfName,Object>`

### containsKey

    public boolean containsKey(Object key)

  Specified by:
    `containsKey` in interface `Map<PdfName,Object>`

### containsValue

    public boolean containsValue(Object value)

  Specified by:
    `containsValue` in interface `Map<PdfName,Object>`

### entrySet

    public Set<Map.Entry<PdfName,Object>> entrySet()

  Specified by:
    `entrySet` in interface `Map<PdfName,Object>`

### get

    public Object get(Object key)

  Specified by:
    `get` in interface `Map<PdfName,Object>`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Map<PdfName,Object>`

### keySet

    public Set<PdfName> keySet()

  Specified by:
    `keySet` in interface `Map<PdfName,Object>`

### put

    public Object put(PdfName key,
                      Object value)

  Specified by:
    `put` in interface `Map<PdfName,Object>`

### putAll

    public void putAll(Map<? extends PdfName,? extends Object> map)

  Specified by:
    `putAll` in interface `Map<PdfName,Object>`

### remove

    public Object remove(Object key)

  Specified by:
    `remove` in interface `Map<PdfName,Object>`

### size

    public int size()

  Specified by:
    `size` in interface `Map<PdfName,Object>`

### values

    public Collection<Object> values()

  Specified by:
    `values` in interface `Map<PdfName,Object>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.